[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.WriteResourceHeader

Write resource header to the stream

## Declaration

Source position: classesh.inc line 858

`public procedure TStream.WriteResourceHeader(`
`const ResName: string;`
`var FixupInfo: Integer`
`);`

## Description

WriteResourceHeader writes a resource-file header for a resource called ResName. It returns in FixupInfo the argument that should be passed on to TStream.FixupResourceHeader.

WriteResourceHeader should not be used directly. It is called by the TStream.WriteComponentRes and TStream.WriteDescendentRes methods.

## See also

TStream.FixupResourceHeader |  | Not implemented in FPC
TStream.WriteComponentRes |  | Write resource header and component data to a stream
TStream.WriteDescendentRes |  | Write resource header and component data to a stream, relative to an ancestor

Documentation generated on: Feb 26 2014